Summary:	Fluxbox is a windowmanager that is based on Blackbox.
Name:		fluxbox
Version:	0.9.9
Release:	b1
Group:		User Interface/Desktops
License:	MIT
URL:		http://fluxbox.sourceforge.net
Source0:	http://download.sourceforge.net/fluxbox/%{name}-%{version}.tar.bz2
Source1:	Xclients.%{name}
Source2:	FluxBox
Source3:	%{name}.desktop
Source4:	artwiz-aleczapka.tar.bz2
Source5:	fedora-fluxbox-gen_menu
Patch0:		%{name}-0.9.9-gcc3.4.patch
Patch1:		%{name}-newrpms-rhnapplet.patch
Requires:	fontconfig chkfontpath
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i586


%description
Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0
%patch1


%build
%configure      --bindir=/usr/X11R6/bin \
		--mandir=/usr/X11R6/man \
		--enable-slit           \
		--enable-xft            \
		--enable-gnome          \
		--enable-kde            \
		--enable-xinerama

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall	bindir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin \
		mandir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/man

strip		$RPM_BUILD_ROOT/usr/X11R6/bin/fluxbox \
		$RPM_BUILD_ROOT/usr/X11R6/bin/bsetroot

# make gdm users happy
install -d $RPM_BUILD_ROOT/usr/share/apps/switchdesk/
install -m 0755 $RPM_SOURCE_DIR/Xclients.fluxbox $RPM_BUILD_ROOT/usr/share/apps/switchdesk/

install -d $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 0755 $RPM_SOURCE_DIR/FluxBox $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/

install -d %{buildroot}%{_datadir}/xsessions
install -m 755 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/

# artwiz fonts
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/
tar xjf %{SOURCE4} -C $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/

# new menu script stolen from arny.org ;) thanks!
mv %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu-original
install -m 755 %{SOURCE5} %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu


%post
# New menu-system
/usr/X11R6/bin/fluxbox-generate_menu \
	-o /usr/share/fluxbox/menu \
	-m Fluxbox-%{version} 2>&1 > /dev/null

# artwiz fontz
cd %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka
fc-cache -f ./
%{_sbindir}/chkfontpath -q -a %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka:unscaled

tmp=`fgrep "<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>" %{_sysconfdir}/fonts/local.conf`
if [ -z "$tmp" ];
	then sed -i "s,</fontconfig>,<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>\n</fontconfig>," %{_sysconfdir}/fonts/local.conf
fi

%postun
if [ "$1" -eq "0" ]; then # complete removal, not upgrade
	%{_sbindir}/chkfontpath -q -r %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka;
	sed -i "\%<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>%d" %{_sysconfdir}/fonts/local.conf
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_datadir}/%{name}/*
%{_datadir}/apps/switchdesk/Xclients.fluxbox
%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka
%{_sysconfdir}/X11/gdm/Sessions/FluxBox
%{_datadir}/xsessions/%{name}.desktop


%changelog
* Sat Aug 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 0.9.9
* Sun Apr 11 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
